// Inventory Data
let inventory = [
  { id: 1, name: 'Laptop', quantity: 15 },
  { id: 2, name: 'Monitor', quantity: 20 },
  { id: 3, name: 'Keyboard', quantity: 30 }
];

// Tickets Data
let tickets = [];

// Display Inventory
function displayInventory() {
  const inventoryList = document.querySelector('.inventory-list');
  inventoryList.innerHTML = inventory.map(item => `
    <div class="inventory-item">
      <h3>${item.name}</h3>
      <p>Quantity: ${item.quantity}</p>
    </div>
  `).join('');
}

// Search Inventory
function searchInventory() {
  const searchTerm = document.getElementById('search').value.toLowerCase();
  const filteredInventory = inventory.filter(item => 
    item.name.toLowerCase().includes(searchTerm)
  );
  const inventoryList = document.querySelector('.inventory-list');
  inventoryList.innerHTML = filteredInventory.map(item => `
    <div class="inventory-item">
      <h3>${item.name}</h3>
      <p>Quantity: ${item.quantity}</p>
    </div>
  `).join('');
}

// Handle Ticket Form
document.getElementById('ticket-form').addEventListener('submit', function(e) {
  e.preventDefault();
  const title = document.getElementById('ticket-title').value;
  const description = document.getElementById('ticket-description').value;
  
  const newTicket = {
    id: tickets.length + 1,
    title,
    description,
    status: 'Open',
    date: new Date().toLocaleDateString()
  };
  
  tickets.push(newTicket);
  displayTickets();
  this.reset();
});

// Display Tickets
function displayTickets() {
  const ticketsList = document.querySelector('.tickets-list');
  ticketsList.innerHTML = tickets.map(ticket => `
    <div class="ticket-item">
      <h3>${ticket.title}</h3>
      <p>${ticket.description}</p>
      <p>Status: ${ticket.status}</p>
      <small>Created: ${ticket.date}</small>
    </div>
  `).join('');
}

// Initial Load
displayInventory();
displayTickets();